Introduction

This article focuses on recent and upcoming compatibility testing for Microsoft Dynamics CRM 2015. It also focuses on the most common compatibility questions that are processed by Microsoft Dynamics Technical Support. This article does not indicate Microsoft Dynamics CRM compatibility for all products. This article supplements the information in the Microsoft Dynamics CRM Implementation Guide.

More Information

The products that have a status of "TBD" are being considered for future compatibility. When the testing of these products is complete, this article will be updated to show the revised status values.

Microsoft Dynamics CRM 2015

The following products have been tested or are currently being tested for compatibility with Dynamics CRM 2015. The Minimum CRM version and CRM build number fields list the minimum Microsoft Dynamics CRM version that has been tested and that is compatible with the listed product.

Product

Minimum CRM version

CRM build number

Status

.Net Framework 4.5.2

RTM

7.0.0.3543

Compatible

.Net Framework 4.6

Update 0.2 /Update 1.1

7.0.2.0053 / 7.1.1.3113

Compatible

Apple Safari (latest publicly released version) running on Mac OS X 10.8 (Mountain Lion), 10.9 (Mavericks), or Apple iPad

RTM

7.0.0.3543

Compatible

Active Directory Federation Services in Windows Server 2008 (AD FS 2.0)

RTM

7.0.0.3543

Compatible

Active Directory Federation Services in Windows Server 2008 R2

RTM

7.0.0.3543

Compatible

Active Directory Federation Services in Windows Server 2012

RTM

7.0.0.3543

Compatible

Active Directory Federation Services in Windows Server 2012 R2

RTM

7.0.0.3543

Compatible

Azure virtual machines (support for Microsoft Azure virtual machines)

RTM

7.0.0.3543

Compatible

Citrix XenApp 6.5 and Citrix XenApp 7.0-7.6 Citrix XenApp 6.5 and Citrix XenApp 7.0-7.6

RTM

7.0.0.3543

Compatible

CRM 2011 for Outlook Client

-

-

Not Compatible

CRM 2013 for Outlook Client

RTM

7.0.0.3543

Compatible

Exchange Online (E3 SKU Only)

RTM

7.0.0.3543

Compatible

Exchange Server 2003

-

-

Not Compatible

Exchange Server 2007

-

-

Not Compatible

Exchange Server 2010 Standard

RTM

7.0.0.3543

Compatible

Exchange Server 2010 Enterprise

RTM

7.0.0.3543

Compatible

Exchange Server 2013 Standard

RTM

7.0.0.3543

Compatible

Exchange Server 2013 Enterprise

RTM

7.0.0.3543

Compatible

Google Chrome (latest publicly released version)

RTM

7.0.0.3543

Compatible

IIS 7.0

-

-

Not Compatible

IIS 7.5

-

-

Not Compatible

IIS 8.0

RTM

7.0.0.3543

Compatible

IIS 8.5

RTM

7.0.0.3543

Compatible

Internet Explorer 7

-

-

Not Compatible

Internet Explorer 8

-

-

Not Compatible

Internet Explorer 9

-

-

Not Compatible

Internet Explorer 10 (no longer supported)

RTM

7.0.0.3543

Compatible

Internet Explorer 11

RTM

7.0.0.3543

Compatible

Internet Explorer 12

Update 0.2

7.0.2.0053

Compatible

Microsoft Edge

Update 0.2 / Update 1.1

7.0.2.0053 / 7.1.1.3113

Compatible

Microsoft SharePoint 2007

-

-

Not Compatible

Microsoft SharePoint 2010 SP1 (all editions)

RTM

7.0.0.3543

Compatible

Microsoft SharePoint Foundation 2013

RTM

7.0.0.3543

Compatible

Microsoft SharePoint 2013

RTM

7.0.0.3543

Compatible

Microsoft SQL Server 2005

-

-

Not compatible

Microsoft SQL Server 2008 (all versions)

-

-

Not compatible

Microsoft SQL Server 2008 R2 (all versions)

-

-

Not compatible

Microsoft SQL Server 2012 Enterprise SP1 (x64)

RTM

7.0.0.3543

Compatible

Microsoft SQL Server 2012 Business Intelligence SP1 (x64)

RTM

7.0.0.3543

Compatible

Microsoft SQL Server 2012 Standard SP1 (x64)

RTM

7.0.0.3543

Compatible

Microsoft SQL Server 2012 Developer SP1 (x64)(for non-production use only)

RTM

7.0.0.3543

Compatible

Microsoft SQL Server 2012 Enterprise SP2 (x64)

Update 0.2

7.0.2.0053

Compatible

Microsoft SQL Server 2012 Business Intelligence SP2 (x64)

Update 0.2

7.0.2.0053

Compatible

Microsoft SQL Server 2012 Standard SP2 (x64)

Update 0.2

7.0.2.0053

Compatible

Microsoft SQL Server 2012 Developer SP2 (x64)(for non-production use only)

Update 0.2

7.0.2.0053

Compatible

Microsoft SQL Server 2012 Enterprise SP3 (x64)

Update 0.2

7.0.2.0053

Compatible

Microsoft SQL Server 2012 Business Intelligence SP3 (x64)

Update 0.2

7.0.2.0053

Compatible

Microsoft SQL Server 2012 Standard SP3 (x64)

Update 0.2

7.0.2.0053

Compatible

Microsoft SQL Server 2012 Developer SP3 (x64)(for non-production use only)

Update 0.2

7.0.2.0053

Compatible

Microsoft SQL Express 2012 (x86 only) (CRM for Outlook 2015)

RTM

7.0.0.3543

Compatible

Microsoft SQL Server 2014 Enterprise (x64)

RTM

7.0.0.3543

Compatible

Microsoft SQL Server 2014 Business Intelligence (x64)

RTM

7.0.0.3543

Compatible

Microsoft SQL Server 2014 Standard (x64)

RTM

7.0.0.3543

Compatible

Microsoft SQL Server 2014 Developer (x64) (for non-production use only)

RTM

7.0.0.3543

Compatible

Microsoft SQL Server 2014 Enterprise SP1 (x64)

Update 0.2

7.0.2.0053

Compatible

Microsoft SQL Server 2014 Business Intelligence SP1 (x64)

Update 0.2

7.0.2.0053

Compatible

Microsoft SQL Server 2014 Standard SP1 (x64)

Update 0.2

7.0.2.0053

Compatible

Microsoft SQL Server 2014 Developer SP1 (x64) (for non-production use only)

Update 0.2

7.0.2.0053

Compatible

Microsoft SQL Server 2014 Enterprise SP2 (x64)

Update 0.2

7.0.2.0053

Compatible

Microsoft SQL Server 2014 Business Intelligence SP2 (x64)

Update 0.2

7.0.2.0053

Compatible

Microsoft SQL Server 2014 Standard SP2 (x64)

Update 0.2

7.0.2.0053

Compatible

Microsoft SQL Server 2014 Developer SP2 (x64) (for non-production use only)

Update 0.2

7.0.2.0053

Compatible

Mozilla Firefox (latest publicly released version) running on Windows 8.1 or Windows 8, or Windows 7

RTM

7.0.0.3543

Compatible

Office 2003

-

-

Not Compatible

Office 2007

-

-

Not Compatible

Office 2010 (Cached-Exchange Mode Only)

RTM

7.0.0.3543

Compatible

Office 2013 (Cached-Exchange Mode Only)

RTM

7.0.0.3543

Compatible

Office 2016 (Cached-Exchange Mode Only)

Update 0.2

7.0.2.0053

Office 365

RTM

7.0.0.3543

Compatible

Windows 7 (for clients)

RTM

7.0.0.3543

Compatible

Windows 8.0 (for clients)

RTM

7.0.0.3543

Compatible

Windows 8.1 (for clients)

RTM

7.0.0.3543

Compatible

Windows 10

Update 0.2 / Update 1.1

7.0.2.0053 / 7.1.1.3113

Compatible

Windows Server 2003

-

-

Not compatible

Windows Server 2008 (all versions)

-

-

Not compatible

Windows Server 2008 R2 (all versions)

-

-

Not compatible

Windows Small Business Server (all versions)

-

-

Not compatible

Windows Server 2012 Foundation

-

-

Not compatible

Windows Server 2012 Essentials

-

-

Not compatible

Windows Server 2012 Datacenter

RTM

7.0.0.3543

Compatible

Windows Server 2012 Standard

RTM

7.0.0.3543

Compatible

Windows Server 2012 R2 Datacenter

RTM

7.0.0.3543

Compatible

Windows Server 2012 R2 Standard

RTM

7.0.0.3543

Compatible

Windows Small Business Server

-

-

Not compatible

Windows Vista (for clients)

-

-

Not Compatible



For a list of mobile supportability with Microsoft Dynamics CRM 2015, please see the following link:

CRM for Tablets, CRM for Phones, and Tablet Browser support for Microsoft Dynamics CRM


Notes

  • The CRM for Outlook client does not support Outlook configured in Online for tracking or synchronization (non-Cached Exchange mode)

For more information about System Requirements, see the System Requirements and Required Components section of the Microsoft Dynamics CRM 2015 Implementation Guide.

Need more help?

Expand your skills
Explore Training
Get new features first
Join Microsoft Insiders

Was this information helpful?

What affected your experience?

Thank you for your feedback!

×